## Class vsearch.DesignContainer

- java.lang.Object
- - vsearch.DesignContainer

- Enclosing class:
    vsearch

      public static class vsearch.DesignContainer
      extends java.lang.Object

  Contains the trials included in this design. It also does the shuffling of of trials and initializes the trial objects according the design setup. User's choices like clicks and the timing is captured here and parameterized to each individual trial when test is running.
  See Also:
    `vsearch.Trial`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `vsearch.DesignContainer()` The constructor generates the trials according the design parameters which are defined earlier in the static variables.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `response1(int trialNum)` Response1 means the first response user had made in current trial.
    `void` | `response2(int trialNum)`
    `boolean` | `userClicks(int x, int y, int trialNum)` User clicks, what happens? This is called when user clicks on some point in the screen.
    `void` | `userClicksNone(int trialNum)` User clicks none, what happens? The function is declared in trial's function userClicksNone which is called here.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### vsearch.DesignContainer

          public vsearch.DesignContainer()

      The constructor generates the trials according the design parameters which are defined earlier in the static variables. Each trial takes care of it's own initialization when it's constructor is called here. After generating the array of trials is mixed randomly. Array of trials is named trials[].
      See Also:
        `vsearch.foils`, `vsearch.targChars`

  - ### Method Detail

    - #### userClicksNone

          public void userClicksNone(int trialNum)

      User clicks none, what happens? The function is declared in trial's function userClicksNone which is called here.
      Parameters:
        `trialNum` - The trial number.

    - #### userClicks

          public boolean userClicks(int x,
                           int y,
                           int trialNum)

      User clicks, what happens? This is called when user clicks on some point in the screen. This also checks if the point was inside of NONE_BUTTON. The result is asked from trials userClicks(x,y) function. So it means that this function returns true if user clicked a symbol. This is very important function as the user's clicks make the test ongoing.
      Parameters:
        `x` - mouse's x-coordinate.
        `y` - mouse's y-coordinate.
        `trialNum` - The trial number.
      Returns:
        if the cursor was over any symbol this returns true, otherwise false.

    - #### response1

          public void response1(int trialNum)

      Response1 means the first response user had made in current trial. In other words the click when the user had done visual searching and is ready to pick the symbol. This calls the current trials trialResponse1() -function.

    - #### response2

          public void response2(int trialNum)